#
# spec file for package concurrent
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           concurrent
Version:        1.3.4
Release:        bp154.1.28
Summary:        Utility Classes for Concurrent Java Programming
License:        SUSE-Public-Domain
Group:          Development/Libraries/Java
Url:            http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/util/concurrent/
Source0:        http://gee.cs.oswego.edu/dl/classes/EDU/oswego/cs/dl/current/concurrent.tar.gz
Source1:        %{name}-%{version}.build.xml
Patch0:         concurrent-jdk8.patch
BuildRequires:  ant
BuildRequires:  java-devel >= 1.6
Obsoletes:      %{name}-javadoc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides standardized, efficient versions of utility
classes commonly encountered in concurrent Java programming. This code
consists of implementations of ideas that have been around for ages and
is merely intended to save you the trouble of coding them. Discussions
of the rationale and application of several of these classes can be
found in the second edition of Concurrent Programming in Java.

%prep
%setup -q -c
%patch0 -p0
mkdir -p src/EDU/oswego/cs/dl/util
mv concurrent src/EDU/oswego/cs/dl/util
cp %{SOURCE1} build.xml

%build
ant \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  jar

%install
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar

%changelog
* Thu Sep 14 2017 fstrba@suse.com
- Allow building with other JDK then gcj
- Build with java source and target level 1.6 in order to allow
  building with jdk9
- Added patch:
  * concurrent-jdk8.patch
    + Fix a name clash that exist from jdk8
* Sat May 20 2017 tchvatal@suse.com
- Fix building with java properly, use gcj as anything newer fails
  to compile this
* Mon Sep 25 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 27 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Tue Jul 19 2005 jsmeix@suse.de
- Current version 1.3.4 from JPackage.org
* Fri Feb 18 2005 skh@suse.de
- update to version 1.3.4
- don't use icecream
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Mon Sep  6 2004 skh@suse.de
- Initial package created with version 1.3.2 (JPackage 1.5)
